from django.urls import path

from orders.views import orders
from sales.views import sales_data
from .views import backoffice, add_staff, edit_staff, staffs, delete_staff
from branch.views  import branches, add_branch, delete_branch
from customers.views import customers, add_customer, delete_customer
from fundis.views import delete_fundi, fundi_list, add_fundi


app_name="backoffice"
urlpatterns = [
    path('', backoffice, name="home"), 
    
    path('add_staff',add_staff,name="add_staff"),
    path('staffs',staffs,name="staffs"), 
    path('staffs/edit/<int:staff_id>/', edit_staff, name='edit_staff'),
    #
    path('delete_staff/<int:staff_id>/', delete_staff, name='delete_staff'),

    path('branches',branches,name="branches"),
    path('add_branch',add_branch,name="add_branch"),
    path('delete_branch/<int:branch_id>/', delete_branch, name='delete_branch'),

    path('customers',customers,name="customers"),
    path('add_customer',add_customer,name="add_customer"),
    path('delete_customer/<int:customer_id>/', delete_customer, name='delete_customer'),

    path('add_fundi/', add_fundi, name='add_fundi'),
    path('fundi_list/', fundi_list, name='fundi_list'),
    path('delete_fundi/<int:fundi_id>/', delete_fundi, name='delete_fundi'),

    path('orders/', orders, name='orders'),

    path('sales/', sales_data, name='sales'),
]
